| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::reg::Mapper Class Referenceabstract
Image Registration

Base class for modelling an algorithm for calculating a map. More...

`#include "mapper.hpp"`

Inheritance diagram for cv::reg::Mapper:

## Public Member Functions
virtual | ~Mapper (void)
virtual cv::Ptr< Map > | calculate (InputArray img1, InputArray img2, cv::Ptr< Map > init=cv::Ptr< Map >()) const =0
virtual cv::Ptr< Map > | getMap () const =0

## Protected Member Functions
void | gradient (const cv::Mat &img1, const cv::Mat &img2, cv::Mat &Ix, cv::Mat &Iy, cv::Mat &It) const
void | grid (const Mat &img, Mat &grid_r, Mat &grid_c) const
cv::Mat | sqr (const cv::Mat &mat1) const

## Detailed Description

Base class for modelling an algorithm for calculating a map.

The class is only used to define the common interface for any possible mapping algorithm.

## Constructor & Destructor Documentation

## § ~Mapper()

virtual cv::reg::Mapper::~Mapper | ( | void |  | ) |
| inline virtual

## Member Function Documentation

## § calculate()

virtual cv::Ptr<Map> cv::reg::Mapper::calculate | ( | InputArray | img1,
|  | InputArray | img2,
|  | cv::Ptr< Map > | init = `cv::Ptr< Map >()`
| ) |  | const
| pure virtual

Python:
| retval | = | cv.reg_Mapper.calculate( | img1, img2[, init] | )

Implemented in cv::reg::MapperPyramid, cv::reg::MapperGradAffine, cv::reg::MapperGradEuclid, cv::reg::MapperGradProj, cv::reg::MapperGradShift, and cv::reg::MapperGradSimilar.

## § getMap()

virtual cv::Ptr<Map> cv::reg::Mapper::getMap | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.reg_Mapper.getMap( |  | )

Implemented in cv::reg::MapperPyramid, cv::reg::MapperGradAffine, cv::reg::MapperGradEuclid, cv::reg::MapperGradProj, cv::reg::MapperGradShift, and cv::reg::MapperGradSimilar.

## § gradient()

void cv::reg::Mapper::gradient | ( | const cv::Mat & | img1,
|  | const cv::Mat & | img2,
|  | cv::Mat & | Ix,
|  | cv::Mat & | Iy,
|  | cv::Mat & | It
| ) |  | const
| protected

## § grid()

void cv::reg::Mapper::grid | ( | const Mat & | img,
|  | Mat & | grid_r,
|  | Mat & | grid_c
| ) |  | const
| protected

## § sqr()

cv::Mat cv::reg::Mapper::sqr | ( | const cv::Mat & | mat1 | ) | const
| inline protected

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/reg/include/opencv2/reg/mapper.hpp